Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07140 Interface Minor Always Nov 1, 2018, 18:05 19 days ago
Tester illando View Status Public Platform SDLMAME
Assigned To cuavas Resolution Fixed OS MacOS X
Status [?] Resolved Driver
Version 0.201 Fixed in Version 0.224 Build
Fixed in Git Commit f5fb44a Github Pull Request #
Summary 07140: Save State Menu saves too quickly if activated by Joystick buttons
Description If you map a joystick button to be used for save state, the dialog window (used to let you choose a save slot) appears for just one moment selecting that joystick shortcut button as slot position, and overwriting the previous one (in case it was present).
Second time you press the same button the window wait letting you chose the slot.
So the problem is only related to the first time you want to save and it does not occur using the keyboard shortcut (F7 + L SHIFT).
Steps To Reproduce
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems
Attached Files
jpg file icon Save.jpg (97,653 bytes) Feb 18, 2019, 11:49 Uploaded by illando
illando
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.15713
Fujix
Administrator
Nov 3, 2018, 03:18
edited on: Nov 3, 2018, 03:22
It repros here.

1) Assign any Joy button to Save State.
2) Press the save joy button -> Save window opens and closes immediately. The save state is related to the save button.
2) Press the button again -> Save slot select window appears and stays there (awaiting slot key input).
3) Press another button to save state slot -> the window closes.
4) Goto 2)
User avatar
No.16154
illando
Tester
Feb 18, 2019, 11:49
Also if I’m not a developer (and after I became aware this part of the code is really complex) I would like to propose a possible enhancement that maybe could provide an easier way to solve the problem.

The problem is caused when after invoking the "Save State" command and the dialogue window appears. Then MAME let you press ANY KEY to choose a saving slot. In that moment one button could have a double function invoking “Save State” command and instantly selecting a slot related to that key.
Why don’t limit the function to choose the save slot just to the “UI Select” key (default is the keyboard “Enter”) so you can just select the slot you want to save or overwrite?
Then the “Save State” dialogue window will just need a “New Save State” command to start creating slots as I tried to visualise in the image attached.

Thanks.
User avatar
No.18442
cuavas
Administrator
19 days ago
Addressed by f5fb44a9dbd6f74d2015cc095e5a92199e2345e9